# Scene Partition

**One file per scene object** (in editor time). 

Trying to reduce the overlap between users by splitting the scene data into multiple small files. This removes the need to save the entire scene into one file. Usually when working with multiple people on a level you have to lock the entire scene to prevent having to merge the conflicting changes. This approach tries to avoid that and if you have conflicting changes they are on small readable files which should be easier to merge.

Next to that an other tool is to put the scene objects into a grid to allow for **partial scene loading** (in editor time), this could be helpful when working on large scenes where you only want to test/work on a small portion. Keeping the editor fast and your work focused.

The scene data is stored outside of the asset folder to prevent Unity from importing many small files into the asset database, instead it is saved into a data folder located at `ProjectRoot/Data/ScenePartition`.
